Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 328087 - Project listing showing retired people
Summary: Project listing showing retired people
Status: RESOLVED WONTFIX
Alias: None
Product: Gentoo Infrastructure
Classification: Unclassified
Component: Other (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Retirement Admin
URL: http://www.gentoo.org/proj/en/index.x...
Whiteboard:
Keywords:
Depends on: 329609
Blocks:
  Show dependency tree
 
Reported: 2010-07-13 10:29 UTC by Petteri Räty (RETIRED)
Modified: 2018-04-19 15:01 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Petteri Räty (RETIRED) gentoo-dev 2010-07-13 10:29:58 UTC
http://www.gentoo.org/proj/en/index.xml?showlevel=2

Seems to have nichoj in it. Maybe ours scripts to cleanup project pages have a bug?
Comment 1 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-07-13 11:15:20 UTC
We, well I, most likely may have failed to run the scripts to clean up his name from the project pages.
I'll run the scripts and grep the project pages to see if there's any reference left to nichoj. I'll be sure to check that index page to see where it's getting its data.
Comment 2 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-07-15 04:40:07 UTC
I've cleaned all references from nichoj as a project member from the java project space and can't see him listed in the http://www.gentoo.org/proj/en/index.xml?showlevel=2 any more.
Can we close this as fixed?
Comment 3 Petteri Räty (RETIRED) gentoo-dev 2010-07-15 07:50:39 UTC
(In reply to comment #2)
> I've cleaned all references from nichoj as a project member from the java
> project space and can't see him listed in the
> http://www.gentoo.org/proj/en/index.xml?showlevel=2 any more.
> Can we close this as fixed?
> 

Is everyone else listed there active? If you need scripting I can arrange that.
Comment 4 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-07-16 01:40:14 UTC
If we could find someone to work in the python retirement script, perhaps we could add a new option to check for this?
Comment 5 Petteri Räty (RETIRED) gentoo-dev 2010-07-16 19:32:48 UTC
(In reply to comment #4)
> If we could find someone to work in the python retirement script, perhaps we
> could add a new option to check for this?
> 

The new version is committed. Now someone just needs to do the cleanup with the new output.
Comment 6 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-07-16 20:34:36 UTC
I'm working on this, but I expect the list not to become empty as a few names seem to come from historic documents.
Comment 7 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-07-24 00:20:55 UTC
Here is the remaining output as of a few minutes:

$ python retire.py.txt --project ../../roll-call/userinfo.xml /home/gentoo-cvs/gentoo/xml/htdocs/proj/
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/userrel/soc/archives/2007.xml:       christel
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/userrel/soc/archives/2006.xml:       nattfodd
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/userrel/soc/archives/2006.xml:       christel
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/userrel/soc/archives/2006.xml:       eroyf
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/userrel/gentoostatus/index.xml:      rl03
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/pr/events/linuxforum2007-denmark/index.xml:  eroyf
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/pr/events/linuxforum2007-denmark/index.xml:  kloeri
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/pr/events/linuxforum2007-denmark/index.xml:  dercorny
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/pr/events/fosdem2010-belgium/index.xml:      welp
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/pr/events/fosdem2007-belgium/index.xml:      diox
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/pr/events/24hours-france/index.xml:  diox
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/pr/events/24hours-france/index.xml:  christel
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/pr/events/foss.in2007-india/index.xml:       anant
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/pr/events/scale2008-losangeles/index.xml:    omp
/home/gentoo-cvs/gentoo/xml/htdocs/proj/en/pr/events/guk07/index.xml:   welp
/home/gentoo-cvs/gentoo/xml/htdocs/proj/pl/desktop/artwork/index.xml:   welp

From these, the only valid case is welp in the pl project pages. I can't touch it, but asked nightmorph and rane to remove welp from that project page.
I've opened a new bug so the index page doesn't link to the historic pages.
Comment 8 Jorge Manuel B. S. Vicetto Gentoo Infrastructure gentoo-dev 2010-07-26 12:57:13 UTC
I've removed welp from the pl project pages, so all that remains is fixing bug 329609
Comment 9 Pacho Ramos gentoo-dev 2013-09-19 19:44:35 UTC
Probably can be closed too due bug 329609
Comment 10 Michał Górny archtester Gentoo Infrastructure gentoo-dev Security 2018-04-19 15:01:54 UTC
(moving to clean up 'retirement' category)